package provide webgui 0.1

namespace eval chat::gui {
    set UPDATE 10
}

proc chat::gui::main {nick} {
    parse chat.rvt
}

# In the web ui, 'updatemain' is the same as 'main'
interp alias {} chat::gui::updatemain {} chat::gui::main

proc chat::gui::error {txt} {
    set Error $txt
    parse error.rvt
}

proc chat::gui::newuser {nick pass} {
    parse newuser.rvt
}

proc chat::gui::login {} {
    parse login.rvt
}

proc chat::gui::quit {} {
    chat::gui::login
}